import { BrowserRouter as Router, Routes, Route } from 'react-router-dom'
import Header from './common/Header'
import Calendar from './pages/Calendar'
import Shopping from './pages/Shopping'
import Notes from './pages/Notes'
import Search from './pages/Search'
import InputOverlay from './components/InputOverlay'

// Configuration
const BACKGROUND_IMAGE_URL = 'https://i.imgur.com/SjjtyaO.jpeg'

const APP_BACKGROUND_STYLE = {
  backgroundImage: `url(${BACKGROUND_IMAGE_URL})`,
  backgroundSize: 'cover',
  backgroundPosition: 'center',
  backgroundRepeat: 'no-repeat',
  backgroundAttachment: 'fixed',
  minHeight: '100vh'
}

const App = () => {
  return (
    <Router>
      <div className="app" style={APP_BACKGROUND_STYLE}>
        <Header />
        <main className="app__main">
          <Routes>
            <Route path="/" element={<Calendar />} />
            <Route path="/shopping" element={<Shopping />} />
            <Route path="/notes" element={<Notes />} />
            <Route path="/search" element={<Search />} />
          </Routes>
        </main>
        <InputOverlay />
      </div>
    </Router>
  )
}

export default App